apiVersion: apps/v1
kind: Deployment
metadata:
  name: app
spec:
  replicas: 4
  selector:
    matchLabels:
      app: foo-app
  template:
    metadata:
      labels:
        app: foo-app
    spec:
      containers:
        - name: foo-app
          image: dexterquazi/deqode
          ports:
          - containerPort: 8080
---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: db
spec:
  replicas: 1
  selector:
    matchLabels:
      app: db
  template:
    metadata:
      labels:
        app: db
    spec:
      containers:
        - name: foo-app
          image: redis
          ports:
          - containerPort: 8080

---


apiVersion: v1
kind: Service
metadata:
  name: db
spec:
  ports:
  - port: 6379
  selector:
    app: db
  clusterIP: None


---
apiVersion: v1
kind: Service
metadata:
  name: lb
spec:
  type: LoadBalancer
  selector:
    app: foo-app
  ports:
    - protocol: TCP
      port: 80
      targetPort: 8080
